Compiling Qt 4.7.4

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Compiling Qt 4.7.4

Marcin Mielniczuk
Hi
I want to compile some MeeGo-specific Qt libraries from qt4-x11 source. I saw in CSSU changelog that someone (freemangordon?) fixed some of the compile errors for CSSU.
I'm experiencing "SQLite support cannot be enabled due to functionality tests!" error when running dpkg-buildpackage -rfakeroot. Was it one of the errors fixed for CSSU? Is there any way to fix it?
Thanks in advance 

--
Marcin



_______________________________________________
maemo-developers mailing list
[hidden email]
https://lists.maemo.org/mailman/listinfo/maemo-developers
Reply | Threaded
Open this post in threaded view
|

Re: Compiling Qt 4.7.4

Ивайло Димитров
Qt 4.7.4 in CSSU has no compile problems in SB, maybe you will want to clone that and work on it, instead of using the "official" repo.




-------- Оригинално писмо --------
От: Marcin Mielniczuk
Относно: Compiling Qt 4.7.4
До: [hidden email]
Изпратено на: Четвъртък, 2012, Август 9 20:41:05 EEST


Hi
I want to compile some MeeGo-specific Qt libraries from qt4-x11 source. I saw in CSSU changelog that someone (freemangordon?) fixed some of the compile errors for CSSU.
I'm experiencing "SQLite support cannot be enabled due to functionality tests!" error when running dpkg-buildpackage -rfakeroot. Was it one of the errors fixed for CSSU? Is there any way to fix it?
Thanks in advance 

--
Marcin


 

-----------------------------------------------------------------
Гражданска отговорност – Цените на компаниите
_______________________________________________
maemo-developers mailing list
[hidden email]
https://lists.maemo.org/mailman/listinfo/maemo-developers
Reply | Threaded
Open this post in threaded view
|

Re: Compiling Qt 4.7.4

Marcin Mielniczuk
OK, I found where the problems is.
I'm getting
g++ -c -pipe -O2 -g -Wno-psabi -Wall -W  -I../../../mkspecs/linux-g++-maemo -I. -o sqlite.o sqlite.cpp
cc1plus: error: unrecognized command line option "-Wno-psabi"
make[1]: *** [sqlite.o] Error 1

And in mkspecs/linux-g++-maemo/qmake.conf (qmake configuration for Maemo 5 & 6, to quote the file)
# We still need to generate debug symbols in release mode to put into the *-dbg packages:
QMAKE_CFLAGS_RELEASE    += -g -Wno-psabi
QMAKE_CXXFLAGS_RELEASE  += -g -Wno-psabi

can the -Wno-psabi option be safely removed (iirc -W* options are only about warnings)? 
--
Marcin



2012/8/9 Ивайло Димитров <[hidden email]>
Qt 4.7.4 in CSSU has no compile problems in SB, maybe you will want to clone that and work on it, instead of using the "official" repo.




-------- Оригинално писмо --------
От: Marcin Mielniczuk
Относно: Compiling Qt 4.7.4
До: [hidden email]
Изпратено на: Четвъртък, 2012, Август 9 20:41:05 EEST



Hi
I want to compile some MeeGo-specific Qt libraries from qt4-x11 source. I saw in CSSU changelog that someone (freemangordon?) fixed some of the compile errors for CSSU.
I'm experiencing "SQLite support cannot be enabled due to functionality tests!" error when running dpkg-buildpackage -rfakeroot. Was it one of the errors fixed for CSSU? Is there any way to fix it?
Thanks in advance 

--
Marcin


 

-----------------------------------------------------------------
Гражданска отговорност – Цените на компаниите

_______________________________________________
maemo-developers mailing list
[hidden email]
https://lists.maemo.org/mailman/listinfo/maemo-developers



_______________________________________________
maemo-developers mailing list
[hidden email]
https://lists.maemo.org/mailman/listinfo/maemo-developers